Package com.microblink.blinkid.hardware.camera

# Enum Class VideoResolutionPreset

java.lang.Object
java.lang.Enum<VideoResolutionPreset>
com.microblink.blinkid.hardware.camera.VideoResolutionPreset

All Implemented Interfaces:
  `android.os.Parcelable`, `Serializable`, `Comparable<VideoResolutionPreset>`, `Constable`

public enum VideoResolutionPreset extends Enum<VideoResolutionPreset> implements android.os.Parcelable
Created by dodo on 26/10/15.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VIDEO_RESOLUTION_1080p`
  Attempts to choose camera video resolution as closely as 1080p
  `VIDEO_RESOLUTION_2160p`
  Attempts to choose camera video resolution as closely as 2160p
  `VIDEO_RESOLUTION_480p`
  Attempts to choose camera video resolution as closely as 480p
  `VIDEO_RESOLUTION_720p`
  Attempts to choose camera video resolution as closely as 720p
  `VIDEO_RESOLUTION_DEFAULT`
  Will choose camera video resolution which is best for current device.
  `VIDEO_RESOLUTION_MAX_AVAILABLE`
  Will choose max available camera video resolution

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<VideoResolutionPreset>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `int`
  `getIdealHeight()`
  `static VideoResolutionPreset`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VideoResolutionPreset[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VIDEO_RESOLUTION_DEFAULT

    public static final VideoResolutionPreset VIDEO_RESOLUTION_DEFAULT
    Will choose camera video resolution which is best for current device.

  - ### VIDEO_RESOLUTION_480p

    public static final VideoResolutionPreset VIDEO_RESOLUTION_480p
    Attempts to choose camera video resolution as closely as 480p

  - ### VIDEO_RESOLUTION_720p

    public static final VideoResolutionPreset VIDEO_RESOLUTION_720p
    Attempts to choose camera video resolution as closely as 720p

  - ### VIDEO_RESOLUTION_1080p

    public static final VideoResolutionPreset VIDEO_RESOLUTION_1080p
    Attempts to choose camera video resolution as closely as 1080p

  - ### VIDEO_RESOLUTION_2160p

    public static final VideoResolutionPreset VIDEO_RESOLUTION_2160p
    Attempts to choose camera video resolution as closely as 2160p

  - ### VIDEO_RESOLUTION_MAX_AVAILABLE

    public static final VideoResolutionPreset VIDEO_RESOLUTION_MAX_AVAILABLE
    Will choose max available camera video resolution

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<VideoResolutionPreset> CREATOR

- ## Method Details

  - ### values

    public static VideoResolutionPreset[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VideoResolutionPreset valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getIdealHeight

    public int getIdealHeight()

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`